
Redmine - Feature #2649

Need @controller context in plugin hook(view_layouts_base_html_head and

view_layouts_base_body_bottom)

2009-02-02 19:24 - Chaoqun Zou

Status: Closed Start date: 2009-02-02

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version: 0.8.2   

Resolution: Fixed   

Description

Since there is some need to add plugin's css style into redmine's page, I think it is a good place to add it in the plugin hook of

view_layouts_base_html_head.

But I need to know the controller name and action name before doing this, because only a few pages need plugin's css code.

Example:

Add plugin's activity into redmine's activity page need an additional css code.

It's simple to implement, just modify two lines in base.rhtml:

ln17: <%= call_hook :view_layouts_base_html_head, :controller => Nathaniel Knutson >

ln64: <= call_hook :view_layouts_base_body_bottom, :controller => Nathaniel Knutson %>

Related issues:

Has duplicate Redmine - Feature #2542: Plugin hooks should have access to the... Closed 2009-01-19

History

#1 - 2009-02-03 13:11 - Thomas Löber

This relates to #2542 where "controller" and "request" are added to every hook call.

#2 - 2009-02-21 01:33 - Eric Davis

- Status changed from New to Resolved

- Target version set to 0.8.2

As of r2491, the current controller and request values are added to the context.

#3 - 2009-03-07 12:41 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed

Merged in 0.8-stable in r2558.
